const storefrontClient = require('../storefrontClient');

const customQuery = 'status:active, product_type:snowboard'; // Replace to see custom result

const maxResults = 10; // Replace to change the number of result

const sortBy = 'TITLE'; // Replace with CREATED_AT if need to sort by date, current value is for name 

const getProduct = async (customQuery) => {
    try {
 
        const query = `{
            products (first: ${maxResults}, sortKey: ${sortBy}, query: ${customQuery}) {
                edges {
                    node {
                        id
                        title
                        status
                        productType
                        comparisonAtPriceRange {
                            minVariantPrice {
                                amount
                                currencyCode
                            }
                            maxVariantPrice {
                                amount
                                currencyCode
                            }
                        }
                        variants(first: 5) {
                            edges {
                                node {
                                    id
                                    title
                                    price
                                }
                            }
                        }
                    }
                }
                pageInfo {
                        hasNextPage
                        hasPreviousPage
                }
            }
        }`;

        const products = await storefrontClient.query({ data: query });

        return products;
    } catch (error) {
        throw error;
    }
};

getProduct(customQuery); 